Skip to main content
PATCH
/
v1
/
alerts
/
{alert_id}
/
state
Update alert state
curl --request PATCH \
  --url https://api.intrace.ai/v1/alerts/{alert_id}/state \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{
  "state": "new"
}'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "threat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "threat_title": "<string>",
  "alert_type": "<string>",
  "severity": "<string>",
  "title": "<string>",
  "state": "new",
  "rule_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "message": "<string>",
  "rule_title": "<string>",
  "threat_type": "<string>",
  "threat_category": "<string>",
  "min_distance_km": 123,
  "max_distance_km": 123
}

Request Body

{
  "state": "acked"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

alert_id
string<uuid>
required

Body

application/json
state
enum<string>
required
Available options:
new,
seen,
acked,
dismissed

Response

200 - application/json

Updated alert row.

id
string<uuid>
required
threat_id
string<uuid>
required
threat_title
string
required
alert_type
string
required
severity
string
required
title
string
required
state
enum<string>
required
Available options:
new,
seen,
acked,
dismissed
rule_id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
message
string | null
rule_title
string | null
threat_type
string | null
threat_category
string | null
min_distance_km
number | null
max_distance_km
number | null